/* ایمپورت های پروژه */
@font-face {
    font-family: "iransans-bold";
    src: url(../../fonts/iranSans/IRANSansX-Bold.woff);
}

@font-face {
    font-family: "iransans-extrabold";
    src: url(../../fonts/iranSans/IRANSansX-ExtraBold.woff);
}

@font-face {
    font-family: "iransans-medium";
    src: url(../../fonts/iranSans/IRANSansX-Medium.woff);
}

@font-face {
    font-family: "iransans-regular";
    src: url(../../fonts/iranSans/IRANSansX-Regular.woff);
}



/* -------------------- استایل های بیسیک ------------------ */
:root {   
    /* باکس شدو ها */
    --page-title-befor-box-shadow: inset 0px 0px 2.5px rgba(0, 0, 0, .4),
        /* -------------------------------------------------------------------------------------------------------------------------------------------- */
        0px 0px 2.5px rgba(255, 255, 255, .4),
        inset 1px 1px 2px rgba(255, 255, 255, .2),
        1px 1px 2.5px rgba(255, 255, 255, .6),
        1px 1px 5px rgba(255, 255, 255, .7);
    
}

body.light {
    /* باکس شدو ها */
    --page-title-befor-box-shadow: inset 0px 0px 2.5px rgba(255, 255, 255, .4),
        0px 0px 2.5px rgba(31, 24, 19, .4),
        inset 1px 1px 2px rgba(31, 24, 19, .2),
        1px 1px 2.5px rgba(31, 24, 19, .6),
        1px 1px 5px rgba(31, 24, 19, .7);
}

* {
    font-family: "iransans-regular";
    box-sizing: border-box;
    text-decoration: none;
    border: none;
    outline: none;
    margin: 0;
    padding: 0;
    direction: rtl;
    text-decoration: none;
    -webkit-tap-highlight-color:transparent;
    appearance: none;
    -webkit-appearance: none;

}

a,
p,
h1,
h2,
h3,
h4,
h5,
h6,
button {
    color: var(--base-color);
}
button{
    display: block;
    align-items: center;
    justify-content: center;
}
p,
h1,
h2,
h3,
h4,
h5,
h6 {
    user-select: none;
}

input[type = "file"]{
    display: none;
}

body {
    width: 100%;
    height: 100dvh;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: var(--bg-color);
    transition: var(--transition-20);
}